%define _disable_ld_no_undefined 1

%define major 12
%define libname %mklibname iptables %{major}
%define develname %mklibname -d iptables

%define iptc_develname %mklibname -d iptc

%define ipq_major 0
%define ipq_libname %mklibname ipq %{ipq_major}
%define ipq_develname %mklibname -d ipq

%define ip4tc_major 2
%define ip4tc_libname %mklibname ip4tc %{ip4tc_major}
%define ip4tc_develname %mklibname -d ip4tc

%define ip6tc_major 2
%define ip6tc_libname %mklibname ip6tc %{ip6tc_major}
%define ip6tc_develname %mklibname -d ip6tc

# install init scripts to /usr/libexec with systemd
%define script_path %{_libexecdir}

Summary:	Tools for managing Linux kernel packet filtering capabilities
Name:		iptables
Version:	1.8.7
Release:	%mkrel 1
License:	GPLv2+
Group:		System/Kernel and hardware
URL:		https://www.netfilter.org/
Source0:	https://www.netfilter.org/projects/iptables/files/%{name}-%{version}.tar.bz2
Source1:	iptables.init
Source2:	ip6tables.init
Source3:	iptables.config
Source4:	ip6tables.config
Source5:        iptables.service
# S101 used to be in the added patches
Source101:	libipt_IFWLOG.c
# (oe) psd comes from iptables-1.3.7, was removed in iptables-1.3.8
Source102:	libipt_psd.c
Source103:	libipt_psd.man
Patch0:         iptables-1.2.8-libiptc.h.patch
Patch1:		iptables-1.8.2-dont_read_garbage.patch
Patch101:	iptables-IFWLOG_extension.diff
Patch102:	iptables-psd.diff
Provides:	userspace-ipfilter = %{version}
BuildRequires:	bison
BuildRequires:	flex
BuildRequires:	xz
BuildRequires:	pkgconfig(libmnl) >= 1.0
BuildRequires:	pkgconfig(libnftnl) >= 1.1.6
BuildRequires:	pkgconfig(libnfnetlink)
BuildRequires:	pkgconfig(libnetfilter_conntrack) >= 1.0.4
BuildRequires:	pcap-devel
BuildRequires:	kernel-headers
Requires(post):	rpm-helper >= 0.24.8-1
Requires(preun): rpm-helper >= 0.24.8-1
Obsoletes:	%{name} < 1.4.3.2
Obsoletes:	%{name}-ipv6 < 1.4.1.1-0.5
Provides:	%{name}-ipv6
BuildRequires:	systemd-units
Requires(post):	initscripts
Requires(post):	sysvinit
Requires(preun): sysvinit
Requires(postun): sysvinit
Provides:	ebtables = 2.0.10.4-10
Obsoletes:	ebtables < 2.0.10.4-9
Provides:	arptables = 0.0.5-3
Obsoletes:	arptables < 0.0.5-2

%description
iptables controls the Linux kernel network packet filtering code. It allows you
to set up firewalls and IP masquerading, etc.

Install iptables if you need to set up firewalling for your network.

%package	nft
Summary:	NFT Packet Filter Administration utilties in the style of Xtables
Group:		System/Kernel and hardware
Conflicts:	ebtables < 2.0.10.4-9

%description	nft
The programs shipped in this subpackage behave like iptables on the
command line, but instead edit the rules of the NFT packet filter in
the Linux kernel. Linux kernel 4.2 or newer is recommended to exploit
all features.

%package -n	%{libname}
Summary:	Shared iptables library
Group:          System/Libraries
Conflicts:	%mklibname %{name} 1

%description -n	%{libname}
iptables controls the Linux kernel network packet filtering code. It allows you
to set up firewalls and IP masquerading, etc.

This package contains the shared iptables library.

%package -n	%{develname}
Summary:	Static library and header files for the iptables library
Group:		Development/C
Requires:	kernel-headers
Requires:	%{libname} = %{version}-%{release}
Provides:	iptables-devel = %{version}
Obsoletes:	iptables-devel < 1.4.2

%description -n	%{develname}
iptables controls the Linux kernel network packet filtering code. It allows you
to set up firewalls and IP masquerading, etc.

This package contains the static iptables library.


# ipq
%package -n	%{ipq_libname}
Summary:	Shared iptables library
Group:          System/Libraries
Obsoletes:	%{mklibname iptables 1} < 1.4.3.2

%description -n	%{ipq_libname}
iptables controls the Linux kernel network packet filtering code. It allows you
to set up firewalls and IP masquerading, etc.

This package contains the ipq library.

%package -n	%{ipq_develname}
Summary:	Static library and header files for the iptables library
Group:		Development/C
Requires:	kernel-headers
Requires:	%{ipq_libname} = %{version}-%{release}
Requires:	%{ipq_develname} = %{version}-%{release}
Provides:	iptables-ipq-devel = %{version}

%description -n	%{ipq_develname}
iptables controls the Linux kernel network packet filtering code. It allows you
to set up firewalls and IP masquerading, etc.

This package contains the ipq library.

#iptc
%package -n	%{iptc_develname}
Summary:	Static library and header files for the iptables library
Group:		Development/C
Requires:	kernel-headers
Provides:	iptables-iptc-devel = %{version}

%description -n	%{iptc_develname}
iptables controls the Linux kernel network packet filtering code. It allows you
to set up firewalls and IP masquerading, etc.

This package contains the IPTC library.

# ip4tc
%package -n	%{ip4tc_libname}
Summary:	Shared iptables library
Group:          System/Libraries
Obsoletes:	%{mklibname iptables 1} < 1.4.3.2

%description -n	%{ip4tc_libname}
iptables controls the Linux kernel network packet filtering code. It allows you
to set up firewalls and IP masquerading, etc.

This package contains the IP4TC library.

%package -n	%{ip4tc_develname}
Summary:	Static library and header files for the iptables library
Group:		Development/C
Requires:	kernel-headers
Requires:	%{ip4tc_libname} = %{version}-%{release}
Requires:	%{iptc_develname} = %{version}-%{release}
Provides:	iptables-ip6tc-devel = %{version}

%description -n	%{ip4tc_develname}
iptables controls the Linux kernel network packet filtering code. It allows you
to set up firewalls and IP masquerading, etc.

This package contains the development files for IPTC library.

# ip6tc
%package -n	%{ip6tc_libname}
Summary:	Shared iptables library
Group:          System/Libraries
Obsoletes:	%{mklibname iptables 1} < 1.4.3.2

%description -n	%{ip6tc_libname}
iptables controls the Linux kernel network packet filtering code. It allows you
to set up firewalls and IP masquerading, etc.

This package contains the IP6TC library.

%package -n	%{ip6tc_develname}
Summary:	Static library and header files for the iptables library
Group:		Development/C
Requires:	kernel-headers
Requires:	%{ip6tc_libname} = %{version}-%{release}
Provides:	iptables-ip6tc-devel = %{version}

%description -n	%{ip6tc_develname}
iptables controls the Linux kernel network packet filtering code. It allows you
to set up firewalls and IP masquerading, etc.

This package contains the development files for IP6TC library.

%prep

%setup -q
%patch0 -p1
%patch1 -p1

# (cg) NB the name "iptables.init" is important. See note in install below
cp %{SOURCE1} iptables.init
cp %{SOURCE2} ip6tables.init
cp %{SOURCE3} iptables.sample
cp %{SOURCE4} ip6tables.sample

# fix libdir
perl -pi -e "s|\@lib\@|%{_lib}|g" iptables.init

# extensions
install -m0644 %{SOURCE101} extensions/
# (oe) psd comes from iptables-1.3.7, was removed in iptables-1.3.8
install -m0644 %{SOURCE102} extensions/
install -m0644 %{SOURCE103} extensions/

%patch101 -p0
%patch102 -p0

find . -type f | xargs perl -pi -e "s,/usr/local,%{_prefix},g"

# use the saner headers from the kernel
rm -f include/linux/{kernel,types}.h

# don't run /sbin/ldconfig
perl -pi -e "s|/sbin/ldconfig|/bin/true|g" Makefile*

%build
export LIBS="-ldl"

%serverbuild

autoreconf -fis

export CFLAGS="$CFLAGS -fPIC"
export CXXFLAGS="$CXXFLAGS -fPIC"
export FFLAGS="$FFLAGS -fPIC"

%configure \
    --bindir=/sbin \
    --sbindir=/sbin \
    --enable-devel \
    --enable-libipq \
    --enable-ipv4 \
    --enable-ipv6 \
    --with-ksource=%{_prefix}/src/linux \
    --with-xtlibdir=/%{_lib}/iptables

%make_build

## make more devel libs (debian)
#ar rcs libiptables.a iptables.o
#ar rcs libip6tables.a ip6tables.o

# hmm...
ar rcs libiptc/libiptc.a libiptc/.libs/libip4tc.o libiptc/.libs/libip6tc.o

%install
%make_install

# remove la file(s)
rm -f %{buildroot}/%{_lib}/*.la
rm -f %{buildroot}%{_libdir}/*.la

# (oe) this in conjunction with the distro initscript will make it possible 	 
# to use development versions of the netfilter modules and with different 	 
# api:s. (according to blino) 	 
install -d %{buildroot}/%{_lib}/iptables.d 	 
mv %{buildroot}/%{_lib}/iptables %{buildroot}/%{_lib}/iptables.d/linux-2.6-main

# move the shared libs
mv %{buildroot}%{_libdir}/libxtables.so.%{major}* %{buildroot}/%{_lib}/
ln -snf /%{_lib}/libxtables.so.%{major} %{buildroot}%{_libdir}/libxtables.so

mv %{buildroot}%{_libdir}/libip4tc.so.%{ip4tc_major}* %{buildroot}/%{_lib}/
ln -snf /%{_lib}/libip4tc.so.%{ip4tc_major} %{buildroot}%{_libdir}/libip4tc.so

mv %{buildroot}%{_libdir}/libip6tc.so.%{ip6tc_major}* %{buildroot}/%{_lib}/
ln -snf /%{_lib}/libip6tc.so.%{ip6tc_major} %{buildroot}%{_libdir}/libip6tc.so

# static development files
install -d %{buildroot}%{_libdir}
install -m0644 libiptc/libiptc.a %{buildroot}%{_libdir}/libiptc.a
#install -m0644 libiptables.a %{buildroot}%{_libdir}/
#install -m0644 libip6tables.a %{buildroot}%{_libdir}/

# header development files
install -d %{buildroot}%{_includedir}/{libipq,libiptc,libipulog}
install -m0644 include/libipq/*.h %{buildroot}%{_includedir}/libipq/
install -m0644 include/libiptc/*.h %{buildroot}%{_includedir}/libiptc/
install -m0644 include/libipulog/*.h %{buildroot}%{_includedir}/libipulog/

# iptables and netfilter development files
install -d %{buildroot}%{_includedir}/net/netfilter/
install -d %{buildroot}%{_includedir}/iptables
#install -m0644 include/net/netfilter/*.h %{buildroot}%{_includedir}/net/netfilter/
install -m0644 include/ip*tables.h %{buildroot}%{_includedir}/
install -m0644 include/iptables/internal.h %{buildroot}%{_includedir}/iptables


# (cg) NB the name "iptables.init" is important. The dracut usrmove convertfs
# module will avoid a post-merge conflict by renaming the files to match this
# naming convension. If this package is updated to change the names below,
# you should also take care to update dracut and the convertfs module accordingly.
install -d %{buildroot}%{script_path}
install -m0755 iptables.init %{buildroot}%{script_path}/
install -m0755 ip6tables.init %{buildroot}%{script_path}/

# (tmb) add compat symlinks for ip(6)tbles-multi
pushd %{buildroot}/sbin/
ln -snf xtables-nft-multi iptables-multi
ln -snf xtables-nft-multi ip6tables-multi
popd

# install systemd service files
install -d -m 755 %{buildroot}/lib/systemd/system
install -c -m 644 %{SOURCE5} %{buildroot}/lib/systemd/system/
sed -e 's;iptables\.init;ip6tables.init;g' -e 's;IPv4;IPv6;g' < %{SOURCE5} > ip6tables.service
install -c -m 644 ip6tables.service %{buildroot}/lib/systemd/system/
sed -i 's!@LIBDIR@!%{_libexecdir}!' %{buildroot}/lib/systemd/system/ip6tables.service
sed -i 's!@LIBDIR@!%{_libexecdir}!' %{buildroot}/lib/systemd/system/iptables.service

%post
%_post_service iptables
%_post_service ip6tables
%{script_path}/iptables.init check

%preun
%_preun_service iptables
%_preun_service ip6tables

%triggerun -- iptables < 1.4.12.1
# Autostart
/bin/systemctl --no-reload enable iptables.service >/dev/null 2>&1 ||:

# Delete from sysv management, try to restart service
/sbin/chkconfig --del iptables >/dev/null 2>&1 || :
/bin/systemctl try-restart iptables.service >/dev/null 2>&1 || :

# Autostart
/bin/systemctl --no-reload enable ip6tables.service >/dev/null 2>&1 ||:

# Delete from sysv management, try to restart service
/sbin/chkconfig --del ip6tables >/dev/null 2>&1 || :
/bin/systemctl try-restart ip6tables.service >/dev/null 2>&1 || :

%files
%defattr(-,root,root,0755)
%doc INCOMPATIBILITIES iptables.sample ip6tables.sample
%attr(0755,root,root) %{script_path}/ip*
/lib/systemd/system/iptables.service
/lib/systemd/system/ip6tables.service
/sbin/iptables
/sbin/iptables-apply
/sbin/iptables-multi
/sbin/iptables-restore
/sbin/iptables-save
/sbin/iptables-xml
/sbin/nfnl_osf
# ipv6
/sbin/ip6tables
/sbin/ip6tables-apply
/sbin/ip6tables-multi
/sbin/ip6tables-restore
/sbin/ip6tables-save
/sbin/arptables
/sbin/arptables-nft
/sbin/arptables-nft-restore
/sbin/arptables-nft-save
/sbin/arptables-restore
/sbin/arptables-save
/sbin/ebtables
/sbin/ebtables-nft
/sbin/ebtables-nft-restore
/sbin/ebtables-nft-save
/sbin/ebtables-restore
/sbin/ebtables-save
/sbin/ip6tables-legacy
/sbin/ip6tables-legacy-restore
/sbin/ip6tables-legacy-save
/sbin/ip6tables-nft
/sbin/ip6tables-nft-restore
/sbin/ip6tables-nft-save
/sbin/iptables-legacy
/sbin/iptables-legacy-restore
/sbin/iptables-legacy-save
/sbin/iptables-nft
/sbin/iptables-nft-restore
/sbin/iptables-nft-save
/sbin/xtables-legacy-multi
/sbin/xtables-monitor
/sbin/xtables-nft-multi
%dir /%{_lib}/iptables.d
%dir /%{_lib}/iptables.d/linux-2.6-main
/%{_lib}/iptables.d/linux-2.6-main/libarpt_mangle.so
/%{_lib}/iptables.d/linux-2.6-main/libebt_802_3.so
/%{_lib}/iptables.d/linux-2.6-main/libebt_among.so
/%{_lib}/iptables.d/linux-2.6-main/libebt_arp.so
/%{_lib}/iptables.d/linux-2.6-main/libebt_arpreply.so
/%{_lib}/iptables.d/linux-2.6-main/libebt_dnat.so
/%{_lib}/iptables.d/linux-2.6-main/libebt_ip.so
/%{_lib}/iptables.d/linux-2.6-main/libebt_ip6.so
/%{_lib}/iptables.d/linux-2.6-main/libebt_log.so
/%{_lib}/iptables.d/linux-2.6-main/libebt_mark.so
/%{_lib}/iptables.d/linux-2.6-main/libebt_mark_m.so
/%{_lib}/iptables.d/linux-2.6-main/libebt_nflog.so
/%{_lib}/iptables.d/linux-2.6-main/libebt_pkttype.so
/%{_lib}/iptables.d/linux-2.6-main/libebt_redirect.so
/%{_lib}/iptables.d/linux-2.6-main/libebt_snat.so
/%{_lib}/iptables.d/linux-2.6-main/libebt_stp.so
/%{_lib}/iptables.d/linux-2.6-main/libebt_vlan.so
/%{_lib}/iptables.d/linux-2.6-main/libipt_ah.so
/%{_lib}/iptables.d/linux-2.6-main/libipt_CLUSTERIP.so
/%{_lib}/iptables.d/linux-2.6-main/libipt_DNAT.so
/%{_lib}/iptables.d/linux-2.6-main/libipt_ECN.so
/%{_lib}/iptables.d/linux-2.6-main/libipt_icmp.so
/%{_lib}/iptables.d/linux-2.6-main/libipt_IFWLOG.so
/%{_lib}/iptables.d/linux-2.6-main/libipt_LOG.so
/%{_lib}/iptables.d/linux-2.6-main/libipt_MASQUERADE.so
/%{_lib}/iptables.d/linux-2.6-main/libipt_NETMAP.so
/%{_lib}/iptables.d/linux-2.6-main/libipt_psd.so
/%{_lib}/iptables.d/linux-2.6-main/libipt_realm.so
/%{_lib}/iptables.d/linux-2.6-main/libipt_REDIRECT.so
/%{_lib}/iptables.d/linux-2.6-main/libipt_REJECT.so
/%{_lib}/iptables.d/linux-2.6-main/libipt_SNAT.so
/%{_lib}/iptables.d/linux-2.6-main/libipt_ttl.so
/%{_lib}/iptables.d/linux-2.6-main/libipt_TTL.so
/%{_lib}/iptables.d/linux-2.6-main/libipt_ULOG.so
/%{_lib}/iptables.d/linux-2.6-main/libxt_AUDIT.so
/%{_lib}/iptables.d/linux-2.6-main/libxt_addrtype.so
/%{_lib}/iptables.d/linux-2.6-main/libxt_bpf.so
/%{_lib}/iptables.d/linux-2.6-main/libxt_cgroup.so
/%{_lib}/iptables.d/linux-2.6-main/libxt_CHECKSUM.so
/%{_lib}/iptables.d/linux-2.6-main/libxt_CLASSIFY.so
/%{_lib}/iptables.d/linux-2.6-main/libxt_cluster.so
/%{_lib}/iptables.d/linux-2.6-main/libxt_comment.so
/%{_lib}/iptables.d/linux-2.6-main/libxt_connbytes.so
/%{_lib}/iptables.d/linux-2.6-main/libxt_connlabel.so
/%{_lib}/iptables.d/linux-2.6-main/libxt_connlimit.so
/%{_lib}/iptables.d/linux-2.6-main/libxt_connmark.so
/%{_lib}/iptables.d/linux-2.6-main/libxt_CONNMARK.so
/%{_lib}/iptables.d/linux-2.6-main/libxt_CONNSECMARK.so
/%{_lib}/iptables.d/linux-2.6-main/libxt_conntrack.so
/%{_lib}/iptables.d/linux-2.6-main/libxt_cpu.so
/%{_lib}/iptables.d/linux-2.6-main/libxt_CT.so
/%{_lib}/iptables.d/linux-2.6-main/libxt_dccp.so
/%{_lib}/iptables.d/linux-2.6-main/libxt_devgroup.so
/%{_lib}/iptables.d/linux-2.6-main/libxt_dscp.so
/%{_lib}/iptables.d/linux-2.6-main/libxt_DSCP.so
/%{_lib}/iptables.d/linux-2.6-main/libxt_esp.so
/%{_lib}/iptables.d/linux-2.6-main/libxt_ecn.so
/%{_lib}/iptables.d/linux-2.6-main/libxt_hashlimit.so
/%{_lib}/iptables.d/linux-2.6-main/libxt_helper.so
/%{_lib}/iptables.d/linux-2.6-main/libxt_HMARK.so
/%{_lib}/iptables.d/linux-2.6-main/libxt_IDLETIMER.so
/%{_lib}/iptables.d/linux-2.6-main/libxt_ipcomp.so
/%{_lib}/iptables.d/linux-2.6-main/libxt_iprange.so
/%{_lib}/iptables.d/linux-2.6-main/libxt_ipvs.so
/%{_lib}/iptables.d/linux-2.6-main/libxt_LED.so
/%{_lib}/iptables.d/linux-2.6-main/libxt_length.so
/%{_lib}/iptables.d/linux-2.6-main/libxt_limit.so
/%{_lib}/iptables.d/linux-2.6-main/libxt_mac.so
/%{_lib}/iptables.d/linux-2.6-main/libxt_mark.so
/%{_lib}/iptables.d/linux-2.6-main/libxt_MARK.so
/%{_lib}/iptables.d/linux-2.6-main/libxt_multiport.so
/%{_lib}/iptables.d/linux-2.6-main/libxt_nfacct.so
/%{_lib}/iptables.d/linux-2.6-main/libxt_NFLOG.so
/%{_lib}/iptables.d/linux-2.6-main/libxt_NFQUEUE.so
/%{_lib}/iptables.d/linux-2.6-main/libxt_NOTRACK.so
/%{_lib}/iptables.d/linux-2.6-main/libxt_osf.so
/%{_lib}/iptables.d/linux-2.6-main/libxt_owner.so
/%{_lib}/iptables.d/linux-2.6-main/libxt_physdev.so
/%{_lib}/iptables.d/linux-2.6-main/libxt_pkttype.so
/%{_lib}/iptables.d/linux-2.6-main/libxt_policy.so
/%{_lib}/iptables.d/linux-2.6-main/libxt_quota.so
/%{_lib}/iptables.d/linux-2.6-main/libxt_rateest.so
/%{_lib}/iptables.d/linux-2.6-main/libxt_RATEEST.so
/%{_lib}/iptables.d/linux-2.6-main/libxt_recent.so
/%{_lib}/iptables.d/linux-2.6-main/libxt_rpfilter.so
/%{_lib}/iptables.d/linux-2.6-main/libxt_sctp.so
/%{_lib}/iptables.d/linux-2.6-main/libxt_SECMARK.so
/%{_lib}/iptables.d/linux-2.6-main/libxt_set.so
/%{_lib}/iptables.d/linux-2.6-main/libxt_SET.so
/%{_lib}/iptables.d/linux-2.6-main/libxt_socket.so
/%{_lib}/iptables.d/linux-2.6-main/libxt_standard.so
/%{_lib}/iptables.d/linux-2.6-main/libxt_state.so
/%{_lib}/iptables.d/linux-2.6-main/libxt_statistic.so
/%{_lib}/iptables.d/linux-2.6-main/libxt_string.so
/%{_lib}/iptables.d/linux-2.6-main/libxt_SYNPROXY.so
/%{_lib}/iptables.d/linux-2.6-main/libxt_tcpmss.so
/%{_lib}/iptables.d/linux-2.6-main/libxt_TCPMSS.so
/%{_lib}/iptables.d/linux-2.6-main/libxt_TCPOPTSTRIP.so
/%{_lib}/iptables.d/linux-2.6-main/libxt_tcp.so
/%{_lib}/iptables.d/linux-2.6-main/libxt_TEE.so
/%{_lib}/iptables.d/linux-2.6-main/libxt_time.so
/%{_lib}/iptables.d/linux-2.6-main/libxt_tos.so
/%{_lib}/iptables.d/linux-2.6-main/libxt_TOS.so
/%{_lib}/iptables.d/linux-2.6-main/libxt_TPROXY.so
/%{_lib}/iptables.d/linux-2.6-main/libxt_TRACE.so
/%{_lib}/iptables.d/linux-2.6-main/libxt_u32.so
/%{_lib}/iptables.d/linux-2.6-main/libxt_udp.so
%{_mandir}/*/arptables*
%{_mandir}/*/ebtables*
%{_mandir}/*/iptables*
%{_mandir}/*/xtables*
%{_mandir}/man8/nfnl_osf.8*
#{_mandir}/man8/nfbpf_compile.8*
%{_datadir}/xtables/pf.os
# ipv6
/%{_lib}/iptables.d/linux-2.6-main/libip6t_ah.so
/%{_lib}/iptables.d/linux-2.6-main/libip6t_dst.so
/%{_lib}/iptables.d/linux-2.6-main/libip6t_DNAT.so
/%{_lib}/iptables.d/linux-2.6-main/libip6t_DNPT.so
/%{_lib}/iptables.d/linux-2.6-main/libip6t_eui64.so
/%{_lib}/iptables.d/linux-2.6-main/libip6t_frag.so
/%{_lib}/iptables.d/linux-2.6-main/libip6t_hbh.so
/%{_lib}/iptables.d/linux-2.6-main/libip6t_hl.so
/%{_lib}/iptables.d/linux-2.6-main/libip6t_HL.so
/%{_lib}/iptables.d/linux-2.6-main/libip6t_icmp6.so
/%{_lib}/iptables.d/linux-2.6-main/libip6t_ipv6header.so
/%{_lib}/iptables.d/linux-2.6-main/libip6t_LOG.so
/%{_lib}/iptables.d/linux-2.6-main/libip6t_MASQUERADE.so
/%{_lib}/iptables.d/linux-2.6-main/libip6t_mh.so
/%{_lib}/iptables.d/linux-2.6-main/libip6t_NETMAP.so
/%{_lib}/iptables.d/linux-2.6-main/libip6t_REDIRECT.so
/%{_lib}/iptables.d/linux-2.6-main/libip6t_REJECT.so
/%{_lib}/iptables.d/linux-2.6-main/libip6t_rt.so
/%{_lib}/iptables.d/linux-2.6-main/libip6t_SNAT.so
/%{_lib}/iptables.d/linux-2.6-main/libip6t_SNPT.so
/%{_lib}/iptables.d/linux-2.6-main/libip6t_srh.so
%{_mandir}/*/ip6tables*

%files nft
%{_sysconfdir}/ethertypes
/sbin/iptables-restore-translate
/sbin/iptables-translate
# ipv6
/sbin/ip6tables-restore-translate
/sbin/ip6tables-translate

%files -n %{libname}
/%{_lib}/libxtables.so.%{major}*

%files -n %{develname}
%{_includedir}/*.h
%dir %{_includedir}/libipq
%dir %{_includedir}/libipulog
%{_includedir}/libipq/*.h
%{_includedir}/libipulog/*.h
%{_includedir}/iptables/*.h
%{_libdir}/libxtables.so
%{_libdir}/pkgconfig/xtables.pc

%files -n %{ipq_libname}
/%{_libdir}/libipq.so.*

%files -n %{ipq_develname}
%{_includedir}/libipq/*.h
%{_libdir}/pkgconfig/libipq.pc
%dir %{_includedir}/libipq
%{_libdir}/libipq.so
%{_mandir}/man3/*ipq*

%files -n %{iptc_develname}
%{_includedir}/libiptc/*.h
%dir %{_includedir}/libiptc
%{_libdir}/libiptc.*a
%{_libdir}/pkgconfig/libiptc.pc

%files -n %{ip4tc_libname}
/%{_lib}/libip4tc.so.*

%files -n %{ip4tc_develname}
%{_libdir}/libip4tc.so
%{_libdir}/pkgconfig/libip4tc.pc

%files -n %{ip6tc_libname}
/%{_lib}/libip6tc.so.*

%files -n %{ip6tc_develname}
%{_libdir}/libip6tc.so
%{_libdir}/pkgconfig/libip6tc.pc


%changelog
* Sat Jan 16 2021 luigiwalser <luigiwalser> 1.8.7-1.mga8
+ Revision: 1672055
- 1.8.7

* Thu Jan 14 2021 luigiwalser <luigiwalser> 1.8.6-2.mga8
+ Revision: 1671680
- also obsolete arptables

* Mon Nov 02 2020 luigiwalser <luigiwalser> 1.8.6-1.mga8
+ Revision: 1641674
- 1.8.6

* Mon Sep 21 2020 luigiwalser <luigiwalser> 1.8.5-1.mga8
+ Revision: 1629412
- 1.8.5
- upstream installs iptables-apply now
- add post-release upstream fixes via fedora

* Wed Aug 12 2020 ovitters <ovitters> 1.8.4-4.mga8
+ Revision: 1613591
- remove service file output to syslog (mga#27095)

* Sun Jun 21 2020 martinw <martinw> 1.8.4-3.mga8
+ Revision: 1598220
- add missing dependency on initscripts

* Tue Feb 18 2020 umeabot <umeabot> 1.8.4-2.mga8
+ Revision: 1541989
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Fri Jan 03 2020 luigiwalser <luigiwalser> 1.8.4-1.mga8
+ Revision: 1475848
- libiptc shared library no longer exists
- 1.8.4
- lib4tc and lib6tc library majors are now 2
- rediff patch 0
- remove upstreamed patch 1
- add patch 1 from opensuse to fix bsc#1106751

* Mon Aug 26 2019 tmb <tmb> 1.8.2-6.mga8
+ Revision: 1432533
- fix iptables.init broken by omdv sync (mga#25360)

* Sat Jan 26 2019 wally <wally> 1.8.2-5.mga7
+ Revision: 1361026
- make possible to have iptables and iptables-nft installed at the same time

* Fri Jan 25 2019 luigiwalser <luigiwalser> 1.8.2-4.mga7
+ Revision: 1360690
- fix iptables-multi symlinks (mga#24234)

* Fri Jan 25 2019 luigiwalser <luigiwalser> 1.8.2-3.mga7
+ Revision: 1360561
- obsolete/provide ebtables
- restore IFWLOG and psd iptables modules (had been dropped in 1.8.2-1)

* Thu Jan 24 2019 tv <tv> 1.8.2-2.mga7
+ Revision: 1360523
- tell urpmi that we've a file conflict with ebtales while waiting for a fix

* Tue Jan 22 2019 luigiwalser <luigiwalser> 1.8.2-1.mga7
+ Revision: 1359175
- add patch to fix format security errors
- 1.8.2
- remove old sources and patches (from omdv)
- update libiptc.h patch (from omdv)
- remove bashisms from init scripts (from omdv)

* Sun Dec 30 2018 wally <wally> 1.6.2-3.mga7
+ Revision: 1347047
- add a small wait time for the xtables lock to ip(6)tables.init script

* Sun Dec 30 2018 luigiwalser <luigiwalser> 1.6.2-2.mga7
+ Revision: 1346816
- rebuild for libnftnl

* Sat Dec 29 2018 luigiwalser <luigiwalser> 1.6.2-1.mga7
+ Revision: 1345891
- 1.6.2

* Sun Sep 23 2018 umeabot <umeabot> 1.6.1-4.mga7
+ Revision: 1298314
- Mageia 7 Mass Rebuild

* Mon Jan 01 2018 daviddavid <daviddavid> 1.6.1-3.mga7
+ Revision: 1189031
- rebuild for new libnftnl 1.0.8

* Sun Feb 12 2017 daviddavid <daviddavid> 1.6.1-2.mga6
+ Revision: 1085790
- move some files into the -nft subpackage to fix dangling links (mga#20209)

* Sat Jan 28 2017 luigiwalser <luigiwalser> 1.6.1-1.mga6
+ Revision: 1083738
- library major is now 12
- 1.6.1

* Thu Feb 11 2016 umeabot <umeabot> 1.6.0-2.mga6
+ Revision: 954451
- Mageia 6 Mass Rebuild

* Fri Jan 15 2016 luigiwalser <luigiwalser> 1.6.0-1.mga6
+ Revision: 923207
- 1.6.0
- libxtables (libiptables subpackage) major is now 11
- BR bison, flex, xz, libmnl-devel, libnftnl-devel
- add nft subpackage
- fix files list

* Fri Oct 09 2015 blino <blino> 1.4.21-5.mga6
+ Revision: 887976
- buildrequire kernel headers only, no need for kernel devel package

* Fri Oct 02 2015 tmb <tmb> 1.4.21-4.mga6
+ Revision: 885680
- rebuild with new gcc

* Wed Oct 15 2014 umeabot <umeabot> 1.4.21-3.mga5
+ Revision: 738932
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.4.21-2.mga5
+ Revision: 680549
- Mageia 5 Mass Rebuild

* Sat Nov 23 2013 tmb <tmb> 1.4.21-1.mga4
+ Revision: 552631
- update filelist
- update to 1.4.21 (full kernel-3.12 support)

* Sat Oct 19 2013 umeabot <umeabot> 1.4.20-3.mga4
+ Revision: 533630
- Mageia 4 Mass Rebuild

* Mon Sep 02 2013 blino <blino> 1.4.20-2.mga4
+ Revision: 474183
- don't reset firewall rules on stop if we don't have the config file (this removed shorewall rules on package update)

* Fri Aug 23 2013 oden <oden> 1.4.20-1.mga4
+ Revision: 470335
- fix build
- 1.4.20

* Tue Jun 04 2013 tv <tv> 1.4.19.1-1.mga4
+ Revision: 437169
- new release
- drop patch 103 (now useless)
- bump library major

* Sat Jan 12 2013 umeabot <umeabot> 1.4.17-5.mga3
+ Revision: 354467
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 08 2013 cjw <cjw> 1.4.17-4.mga3
+ Revision: 342901
- fix check in post script: call init script directly

* Tue Jan 08 2013 oden <oden> 1.4.17-3.mga3
+ Revision: 342836
- P103: fix build the correct way

* Sun Jan 06 2013 tmb <tmb> 1.4.17-2.mga3
+ Revision: 340313
- fix iptables not working due to libexec change (mga #8616)

* Sun Jan 06 2013 tmb <tmb> 1.4.17-1.mga3
+ Revision: 339749
- update filelists
- BR kernel -devel-latest instead of -source-latest
- BR iptables-ip6tc-devel
- update to 1.4.17

* Wed Oct 31 2012 colin <colin> 1.4.16.3-1.mga3
+ Revision: 311689
- New version: 1.4.16.3
- Support reload in systemd service file (now available in systemd v195)

* Sat Jul 21 2012 colin <colin> 1.4.12.2-3.mga3
+ Revision: 273116
- Rename the init wrapper to avoid usrmove name clash + drop sysvinit script

* Sat Apr 28 2012 tmb <tmb> 1.4.12.2-2.mga2
+ Revision: 233755
- Require rpm-helper >= 0.24.8-1 for systemd support

* Fri Jan 06 2012 tmb <tmb> 1.4.12.2-1.mga2
+ Revision: 192568
- fix build with 3.2 series headers
- update filelists
- update to 1.4.12.2
- drop defattr
+ dmorgan <dmorgan>
- Do not use systemd-sysv-convert anymore

* Fri Dec 02 2011 blino <blino> 1.4.12.1-11.mga2
+ Revision: 175267
- IFWLOG: drop intrapositional negation check (was deprecated in 1.4.3, and symbol does not exist anymore)

* Thu Dec 01 2011 dmorgan <dmorgan> 1.4.12.1-10.mga2
+ Revision: 175014
- Install files in the old location too to allow to boot w/o systemd too

* Mon Nov 21 2011 dmorgan <dmorgan> 1.4.12.1-9.mga2
+ Revision: 170173
- Remove .la files

* Mon Nov 14 2011 tmb <tmb> 1.4.12.1-8.mga2
+ Revision: 167658
- dont check for /etc/sysconfig/ip(6)tables on start as it is not installed by default

* Sun Nov 13 2011 tmb <tmb> 1.4.12.1-7.mga2
+ Revision: 167066
- BR: kernel-source-latest
- ip(6)tables.service does not need to be executable
- ip6tables.init: dont check for obsolete kernel versions

* Sat Nov 12 2011 tmb <tmb> 1.4.12.1-6.mga2
+ Revision: 167008
- fix genearation of ip6tables.service

* Sun Oct 30 2011 blino <blino> 1.4.12.1-5.mga2
+ Revision: 159892
- do not explicitely require systemd, use the more generic sysvinit requires

* Sat Oct 29 2011 dmorgan <dmorgan> 1.4.12.1-4.mga2
+ Revision: 159672
- Rebuild to push in core media

* Tue Oct 25 2011 dmorgan <dmorgan> 1.4.12.1-3.mga2
+ Revision: 158055
- Fix bash script location

* Tue Oct 25 2011 dmorgan <dmorgan> 1.4.12.1-1.mga2
+ Revision: 158049
- New version 1.4.12.1
  Add systemd support

* Sun Jun 12 2011 ahmad <ahmad> 1.4.11.1-2.mga2
+ Revision: 105314
- Move the runtime libip{4,6}tc.so.* libraries to /%%{_lib}, so that iptables in
  /sbin can use them when /usr isn't mounted yet (mga#1404)

* Thu Jun 09 2011 tmb <tmb> 1.4.11.1-1.mga2
+ Revision: 102416
- update to 1.4.11.1 (full kernel 2.6.37-39 support)
- libmajor is now 6
- add compat symlinks for ip(6)tbles-multi
- update filelists

* Sat Jan 08 2011 blino <blino> 1.4.10-3.mga1
+ Revision: 692
- update comment

* Sat Jan 08 2011 blino <blino> 1.4.10-2.mga1
+ Revision: 598
- do not use manbo tag anymore
- remove old macros
- imported package iptables


* Sat Oct 30 2010 Oden Eriksson <oeriksson@mandriva.com> 1.4.10-1mnb2
+ Revision: 590455
- 1.4.10

* Thu Jul 15 2010 Tomasz Pawel Gajc <tpg@mandriva.org> 1.4.8-1mnb2
+ Revision: 553702
- do not enable nfnetlink support for now
- update to new version 1.4.8
- fix url for Source0
- update file list

* Mon Mar 08 2010 Eugeni Dodonov <eugeni@mandriva.com> 1.4.7-2mnb2
+ Revision: 515788
- Install missing devel files.

* Tue Mar 02 2010 Eugeni Dodonov <eugeni@mandriva.com> 1.4.7-1mnb2
+ Revision: 513519
- Updated to 1.4.7.
  Added IPQ library and its documentation.

* Thu Dec 10 2009 Eugeni Dodonov <eugeni@mandriva.com> 1.4.6-1mnb2
+ Revision: 475942
- Updated to 1.4.6

* Wed Sep 16 2009 Eugeni Dodonov <eugeni@mandriva.com> 1.4.5-2mnb2
+ Revision: 443613
- Updated to 1.4.5.
  Packaged libip4tc and libip6tc.

* Thu Jun 18 2009 Eugeni Dodonov <eugeni@mandriva.com> 1.4.4-2mnb2
+ Revision: 387180
- Resolve conflict over libiptables-devel and libiptc-devel packages.

* Thu Jun 18 2009 Oden Eriksson <oeriksson@mandriva.com> 1.4.4-1mnb2
+ Revision: 386939
- 1.4.4

* Thu Jun 04 2009 Gustavo De Nardin <gustavodn@mandriva.com> 1.4.3.2-3mnb2
+ Revision: 382860
- fixed obsoletes macro call

* Tue Jun 02 2009 Eugeni Dodonov <eugeni@mandriva.com> 1.4.3.2-2mnb2
+ Revision: 382223
- Adding Obsolete to prevent conflict between iptc and old iptables.

* Fri May 29 2009 Eugeni Dodonov <eugeni@mandriva.com> 1.4.3.2-1mnb2
+ Revision: 381113
- Splitting libiptc to a separate package (it has a different major).
- Updated to 1.4.3.2.
  New major.

* Mon Mar 30 2009 Luiz Fernando Capitulino <lcapitulino@mandriva.com> 1.4.3.1-3mnb2
+ Revision: 362745
- bump release
- libipt_IFWLOG: Update to latest netfilter's API
- libipt_psd: Update to latest netfilter's API

* Thu Mar 26 2009 Oden Eriksson <oeriksson@mandriva.com> 1.4.3.1-2mnb2
+ Revision: 361305
- 1.4.3.1 (thanks fhimpe)
- 1.4.3
- drop redundant patches and other stuff (P2,P3,P4,P5)
- new major (1)

* Fri Dec 19 2008 Oden Eriksson <oeriksson@mandriva.com> 1.4.2-2mnb2
+ Revision: 316266
- rediffed one fuzzy patch
- fix build with -Werror=format-security

* Thu Oct 23 2008 Oden Eriksson <oeriksson@mandriva.com> 1.4.2-1mnb2
+ Revision: 296770
- 1.4.2
- drop redundant patches (P1,P5)
- libfifiction adaptations

* Tue Sep 23 2008 Olivier Blin <oblin@mandriva.com> 1.4.1.1-4mnb2
+ Revision: 287357
- create /lib/iptables if it does not exist
- always run iptables check on post (real fix for #42579)

* Mon Sep 22 2008 Frederic Crozat <fcrozat@mandriva.com> 1.4.1.1-3mnb2
+ Revision: 286533
- Update source1 to no do useless things when it is not needed (improve boot time)

* Fri Sep 19 2008 Oden Eriksson <oeriksson@mandriva.com> 1.4.1.1-2mnb2
+ Revision: 285907
- rebuild
- sync with iptables-1.4.1.1-2.fc10.src.rpm

* Mon Jul 14 2008 Oden Eriksson <oeriksson@mandriva.com> 1.4.1.1-1mnb2
+ Revision: 234896
- rebuild

* Sat Jul 12 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 1.4.1.1-0.6mnb2
+ Revision: 234172
- revert last commit only with paths for iptables

* Sat Jul 12 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 1.4.1.1-0.5mnb2
+ Revision: 234155
- merge subpackage iptables-ipv6 into main package
- pass with xtlibdir a real iptables directory
- spec file clean

  + Luiz Fernando Capitulino <lcapitulino@mandriva.com>
    - Remove kernel-source BuildRequires
      kernel-headers package has been fixed to export the needed
      headers, iptables does not have to use headers directly from
      the kernel sources anymore.
    - libipt_psd: convert from target to match (again) and make psd
      to work again.

* Mon Jun 23 2008 Oden Eriksson <oeriksson@mandriva.com> 1.4.1.1-0.4mnb2
+ Revision: 227990
- fix build (duh!)
- make it work as it used to. this change in conjunction with the mandriva
  initscript will make it possible to use development versions of the netfilter
  modules and with different api:s. (according to blino)

* Sun Jun 22 2008 Oden Eriksson <oeriksson@mandriva.com> 1.4.1.1-0.3mnb2
+ Revision: 227943
- rebuild
- added -fPIC because it's needed by packages linking against the devel libs

* Sat Jun 21 2008 Oden Eriksson <oeriksson@mandriva.com> 1.4.1.1-0.1mnb2
+ Revision: 227740
- 1.4.1.1 (uses autoconf now)
- put the modules in /%%{_lib}/iptables.d/ though default now is
  LIBEXECDIR/xtables, but we used to have it in /lib/iptables.d/
  NOTE: third party modules has to be adjusted!
- adjust /lib/ in iptables.init
- tried to port S100,S101,S102 to the new api, but the psd one
  needs some work again (blino?,lcapitulino?)
- had to use _disable_ld_no_undefined due to build problems in
  libxt_comment.c and libxt_CLASSIFY.c
- again...
- fix a small error
- added some props

* Thu Mar 06 2008 Oden Eriksson <oeriksson@mandriva.com> 1.4.0-1mnb1
+ Revision: 181032
- bump release

* Tue Mar 04 2008 Oden Eriksson <oeriksson@mandriva.com> 1.4.0-0.9mnb1
+ Revision: 178419
- added fixes to psd and IFWLOG by lcapitulino to hopefully fix #37158

* Sun Feb 24 2008 Oden Eriksson <oeriksson@mandriva.com> 1.4.0-0.8mnb1
+ Revision: 174357
- pass -fPIC to the CFLAGS

* Mon Feb 18 2008 Thierry Vignaud <tv@mandriva.org> 1.4.0-0.7mnb1
+ Revision: 170652
- replace %%mkrel with %%manbo_mkrel for Manbo Core 1

* Sun Feb 10 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 1.4.0-0.7mdv2008.1
+ Revision: 164942
- fix broken symlink

* Sat Feb 09 2008 Colin Guthrie <cguthrie@mandriva.org> 1.4.0-0.6mdv2008.1
+ Revision: 164496
- Work around the removal of the kernel headers tarball.

* Sat Feb 09 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 1.4.0-0.5mdv2008.1
+ Revision: 164392
- remove source 5, a kernel headers which are now a system wide standalone package
- devel package requires kernel-headers
- new license policy

  + Oden Eriksson <oeriksson@mandriva.com>
    - remove the grsecurity stuff, we don't have it anyway

* Thu Jan 24 2008 Oden Eriksson <oeriksson@mandriva.com> 1.4.0-0.4mdv2008.1
+ Revision: 157396
- enable the build of the IFWLOG extension now that kernel-source-latest is fixed (#37082)

* Tue Jan 22 2008 Oden Eriksson <oeriksson@mandriva.com> 1.4.0-0.3mdv2008.1
+ Revision: 156462
- added most of the added extensions as sources instead
- dropped unmaintained extensions

  + Thierry Vignaud <tv@mandriva.org>
    - drop kernel-2.4.x versionning

* Tue Jan 22 2008 Oden Eriksson <oeriksson@mandriva.com> 1.4.0-0.2mdv2008.1
+ Revision: 156206
- fix the %%serverbuild stuff again...

* Tue Jan 22 2008 Oden Eriksson <oeriksson@mandriva.com> 1.4.0-0.1mdv2008.1
+ Revision: 156091
- 1.4.0
- dropped obsolete patches; P9
- the IFWLOG extension needs rework, it won't build (P6)
- rediffed patches; P1,P7
- rediff P8, but don't apply it just yet
- really use the %%serverbuild rpm macro
- add P10 (psd support)

  + Thierry Vignaud <tv@mandriva.org>
    - remove useless kernel require
    - kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Mon Oct 15 2007 Oden Eriksson <oeriksson@mandriva.com> 1.3.8-1mdv2008.1
+ Revision: 98487
- 1.3.8
- rediffed P1,P7,P9
- added more static development and header files

  + Thierry Vignaud <tv@mandriva.org>
    - kill file require on perl-base
    - buildrequires obsoletes buildprereq

  + Tomasz Pawel Gajc <tpg@mandriva.org>
    - new version

* Thu Jun 07 2007 Anssi Hannula <anssi@mandriva.org> 1.3.7-2mdv2008.0
+ Revision: 36175
- rebuild with correct optflags

  + Per Øyvind Karlsen <peroyvind@mandriva.org>
    - add missing ipv6 extensions: rt ipv6header hbh frag dst ah
    - reenable IPV4OPTSSTRIP extension
    - enable building of CLUSTERIP module
    - fix install of libiptc.a
    - add iptables-xml
    - new version: 1.3.7
    - regenerate P1
    - cleanups


* Tue Aug 08 2006 Emmanuel Andry <eandry@mandriva.org> 1.3.5-3mdv2007.0
- rebuild for x86_64

* Mon Aug 07 2006 Olivier Blin <blino@mandriva.com> 1.3.5-2mdv2007.0
- use linux-2.6-pom (patch-o-matic) as kernel headers basename (#24147)

* Fri Aug 04 2006 Samir Bellabes <sbellabes@n4.mandriva.com> 1.3.5-1mdv2007.0
- new release
- desactive patch ipp2p
- new kernel-headers

* Mon Jan 09 2006 Olivier Blin <oblin@mandriva.com> 1.3.3-6mdk
- convert parallel init to LSB
- mkrel
- Requires(post), Requires(preun)
- remove requires-on-release

* Sat Dec 31 2005 Couriousous <couriousous@mandriva.org> 1.3.3-5mdk
- Add parallel init info

* Sat Dec 31 2005 Mandriva Linux Team <http://www.mandrivaexpert.com/> 1.3.3-4mdk
- Rebuild

* Wed Aug 10 2005 Samir Bellabes <sbellabes@mandriva.com> 1.3.3-3mdk
- rebuild with new kernel headers 2.6.12-9mdk.

* Wed Aug 03 2005 Samir Bellabes <sbellabes@mandriva.com> 1.3.3-2mdk
- IFWLOG target

* Fri Jul 29 2005 Samir Bellabes <sbellabes@mandriva.com> 1.3.3-1mdk
- update to version 1.3.3

* Wed Jul 27 2005 Samir Bellabes <sbellabes@mandriva.com> 1.3.2-2mdk
- update kernel headers to lastest versions (2.6.12-8mdk) and fix 
  malformed path in iptables-kernel-headers.tar.bz2
- fix lot of extensions test : Makefile check for $KERNEL_DIR/net/*/*/*.c
  but we provide only headers files ($KERNEL_DIR/include/linux/*/*.h)
  So test failed every time, and we don't get extension.
- add ipp2p extension, that is not in upstream iptables-1.3.2
- deleted extensions for linux-2.4 ( obsolete by now )

* Wed Jul 13 2005 Herton Ronaldo Krzesinski <herton@mandriva.com> 1.3.2-1mdk
- new upstream version: 1.3.2.
- redid stealth patch.
- obsoleted patch CAN-2004-0986.
- updated kernel headers to latest versions (2.6.12.2 & 2.4.31).

* Sat Apr 02 2005 Luca Berra <bluca@vodka.it> 1.2.9-8mdk 
- update kernel headers, we now have 4 flavors
- update initscript to test all flavors

* Tue Nov 02 2004 Vincent Danen <vdanen@mandrakesoft.com> 1.2.9-7.1.101mdk
- security fix for CAN-2004-0986

* Wed Jun 02 2004 Florin <florin@mandrakesoft.com> 1.2.9-7mdk
- add new extenions: see the kernel changelog here below
- netfilter (CLASSIFY CONNMARK IPMARK TARPIT addrtype condition 
	connbytes h323-conntrack-nat owner-socketlookup pptp-conntrack-nat 
	connlimit dstlimit iprange mport nth osf quota random time 
	rtsp-conntrack)

* Wed Jun 02 2004 Florin <florin@mandrakesoft.com> 1.2.9-6mdk
- add the devel package

* Sun Feb 15 2004 Luca Berra <bluca@vodka.it> 1.2.9-5mdk
- fix detection of iptables version at boot (again)

* Wed Jan 28 2004 Marcel Pol <mpol@mandrake.org> 1.2.9-4mdk
- update-alternatives seems unreliable, sorry

* Sun Jan 25 2004 Marcel Pol <mpol@mandrake.org> 1.2.9-3mdk
- doh, I can't read

* Sun Jan 25 2004 Luca Berra <bluca@vodka.it> 1.2.9-2mdk 
- compatible with both 2.4 and 2.6 (with and without pptp_conntrack)
- added check option to initscripts
- use alternatives (mpol)

* Fri Nov 28 2003 Juan Quintela <quintela@mandrakesoft.com> 1.2.9-1mdk
- IMQ should work now (cross fingers).
- reddiff stealth patch.
- 1.2.9.

* Wed Oct 08 2003 Juan Quintela <quintela@mandrakesoft.com> 1.2.9-0rc1mdk
- 1.2.9rc1.

* Tue Aug 26 2003 Juan Quintela <quintela@mandrakesoft.com> 1.2.8-2mdk
- added imq support.

